#ifndef DATAMAP_H_
#define DATAMAP_H_

#include <vector>
#include <map>
#include <string>

class DataMap {
	std::vector<std::pair<std::string, std::string>> dmap;
	mutable std::map<std::string, std::string> cache;
	std::string root;

public:
	void clear();

	void set_path(const char *path);

	bool load_map(const char *fname);
	void map(const char *match, const char *path);

	int lookup(const char *in, char *buf, int bsz) const;
	int path_size(const char *in) const;
};

#endif	// DATAMAP_H_
